diff -ruN vdr-1.4.5/CONTRIBUTORS vdr-1.4.5-1/CONTRIBUTORS
--- vdr-1.4.5/CONTRIBUTORS	2007-01-04 14:38:40.000000000 +0100
+++ vdr-1.4.5-1/CONTRIBUTORS	2007-01-26 15:14:33.000000000 +0100
@@ -1014,7 +1014,7 @@
  for reporting a bug in handling a channels.conf that contains a ":@nnn" line as
  its last entry
 
-Hermann Gausterer <mrq1@gmx.net>
+Hermann Gausterer <vdr@mrq1.org>
  for suggesting to switch to the recording channel in case the current channel
  becomes unavailable
 
@@ -1114,6 +1114,8 @@
  for changing the behaviour when hitting the end of a recording in fast forward mode
  for suggesting to give the cRemote::CallPlugin() function a boolean return value
  for fixing a possible crash in remux.c on 64-bit machines
+ for making cCommand::Execute() use cPipe instead of popen() to avoid problems
+ with open file handles when starting background commands
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1720,6 +1722,7 @@
  for reporting a bug in the initial setting of the time transponder setup parameter
  for suggesting to extend the version number reported with the '-V' option to also
  show the current APIVERSION
+ for fixing i18n characters for the Hungarian texts
 
 David Woodhouse <dwmw2@infradead.org>
  for his help in replacing the get/put_unaligned() macros from asm/unaligned.h with
diff -ruN vdr-1.4.5/HISTORY vdr-1.4.5-1/HISTORY
--- vdr-1.4.5/HISTORY	2007-01-07 14:47:19.000000000 +0100
+++ vdr-1.4.5-1/HISTORY	2007-01-28 10:58:12.000000000 +0100
@@ -5028,3 +5028,10 @@
 2007-01-07: Version 1.4.5
 
 - Official release.
+
+2007-01-28: Version 1.4.5-1
+
+- Fixed i18n characters for the Hungarian texts (thanks to Thomas Gnther).
+- Now using cPipe instead of popen() in cCommand::Execute() to avoid problems
+  with open file handles when starting background commands (thanks to Reinhard
+  Nissl).
diff -ruN vdr-1.4.5/config.c vdr-1.4.5-1/config.c
--- vdr-1.4.5/config.c	2006-07-22 13:57:51.000000000 +0200
+++ vdr-1.4.5-1/config.c	2007-01-26 14:32:19.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.c 1.146 2006/07/22 11:57:51 kls Exp $
+ * $Id: config.c 1.147 2007/01/26 13:32:19 kls Exp $
  */
 
 #include "config.h"
@@ -67,8 +67,8 @@
      asprintf(&cmdbuf, "%s %s", command, Parameters);
   const char *cmd = cmdbuf ? cmdbuf : command;
   dsyslog("executing command '%s'", cmd);
-  FILE *p = popen(cmd, "r");
-  if (p) {
+  cPipe p;
+  if (p.Open(cmd, "r")) {
      int l = 0;
      int c;
      while ((c = fgetc(p)) != EOF) {
@@ -78,7 +78,7 @@
            }
      if (result)
         result[l] = 0;
-     pclose(p);
+     p.Close();
      }
   else
      esyslog("ERROR: can't open pipe for command '%s'", cmd);
diff -ruN vdr-1.4.5/config.h vdr-1.4.5-1/config.h
--- vdr-1.4.5/config.h	2007-01-07 14:45:19.000000000 +0100
+++ vdr-1.4.5-1/config.h	2007-01-26 14:14:47.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.282 2007/01/07 13:45:19 kls Exp $
+ * $Id: config.h 1.282.1.1 2007/01/26 13:14:47 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -21,7 +21,7 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.4.5"
+#define VDRVERSION  "1.4.5-1"
 #define VDRVERSNUM   10405  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
diff -ruN vdr-1.4.5/i18n.c vdr-1.4.5-1/i18n.c
--- vdr-1.4.5/i18n.c	2006-10-14 11:26:41.000000000 +0200
+++ vdr-1.4.5-1/i18n.c	2007-01-26 14:10:33.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.285 2006/10/14 09:26:41 kls Exp $
+ * $Id: i18n.c 1.285.1.1 2007/01/26 13:10:33 kls Exp $
  *
  * Translations provided by:
  *
@@ -119,7 +119,7 @@
     "iso8859-7",
     "iso8859-1",
     "iso8859-2",
-    "iso8859-1",
+    "iso8859-2",
     "iso8859-1",
     "iso8859-5",
     "iso8859-2",
@@ -231,7 +231,7 @@
     "",
     "Timers",
     "Timer-e",
-    "Idzt",
+    "Idzt",
     "Temporitzadors",
     "",
     "Termini",
@@ -385,7 +385,7 @@
     " ",
     "ndra timer",
     "Modificare timer",
-    "Idzt megvltoztatsa",
+    "Idzt megvltoztatsa",
     "Editar temporitzador",
     " ",
     "Ureivanje termina",
@@ -694,7 +694,7 @@
     "",// TODO
     "Timer",
     "Timer",
-    "Idzt",
+    "Idzt",
     "",// TODO
     "",
     "",// TODO
@@ -936,7 +936,7 @@
     "",
     "Nsta",
     "Urmtor",
-    "Kvetkez",
+    "Kvetkez",
     "Segent",
     "",
     "Slijedi",
@@ -1157,7 +1157,7 @@
     " ;?",
     "Ta bort timern?",
     "terg timer-ul?",
-    "Idzt trlse?",
+    "Idzt trlse?",
     "Esborrar el temporitzador?",
     " ?",
     "Obrisati termin?",
@@ -1377,7 +1377,7 @@
     "   %ld  -   ?",
     "Inspelning startar om %ld minuter, vill du avsluta?",
     "nregistrez peste %ld minute - nchid, totui?",
-    "Felvtel %ld perc mulva kezddik - mgis kikapcsolni?",
+    "Felvtel %ld perc mulva kezddik - mgis kikapcsolni?",
     "Hi ha una gravaci en %ld minuts - Apagar de totes maneres?",
     " %ld    -  ?",
     "Snimanje za %ld minuta - svejedno iskljuiti?",
@@ -2149,7 +2149,7 @@
     " ",
     "Frsta dag",
     "Prima zi",
-    "Els nap",
+    "Els nap",
     "Primer dia",
     " ",
     "Prvi dan",
@@ -2172,7 +2172,7 @@
     "    !",
     "Kanalen anvnds av en timer!",
     "Canalul este utilizat de un timer!",
-    "Az adt az idzt hasznlja!",
+    "Az adt az idzt hasznlja!",
     "Canal en s per un temporitzador!",
     "  !",
     "Program je trenutno zauzet terminom za snimanje",
@@ -2304,7 +2304,7 @@
     "",//TODO
     "strax VPS inspelning...",
     "Urmeaz o nregistrare VPS!",
-    "VPS-felvtel rgtn kezddik!",
+    "VPS-felvtel rgtn kezddik!",
     "",//TODO
     "VPS-  ",
     "",//TODO
@@ -2348,7 +2348,7 @@
     "    !",
     "Kanalen r inte tillgnglig!",
     "Canal indisponibil",
-    "Az ad nem elrhet",
+    "Az ad nem elrhet",
     "Canal no disponible!",
     " !",
     "Program nije dostupan!",
@@ -2370,7 +2370,7 @@
     "    !",
     "Kanalinstllningarna r ej unika!",
     "Parametrii canalului nu sunt univoci!",
-    "Az adbelltsok nem egyrtelmek",
+    "Az adbelltsok nem egyrtelmek",
     "Propietats del canal duplicades!",
     "   !",
     "Parametri programa nisu jednoznani!",
@@ -2524,7 +2524,7 @@
     "",//TODO
     "Otillrcklingt diskutrymme fr inspelning!",
     "Insuficient spaiul pe disc pentru nregistrare!",
-    "Nincs elegend hely a felvtelre",
+    "Nincs elegend hely a felvtelre",
     "",//TODO
     "      ",
     "",//TODO
@@ -3120,7 +3120,7 @@
     "   ()",
     "Tid fr meddelanden (sek)",
     "Timp afiare mesaje (sec)",
-    "Informci feltntetsnek idtartama",
+    "Informci feltntetsnek idtartama",
     "Durada dels missatges (s)",
     "   ()",
     "Vrijeme prikaza poruka (s)",
@@ -3142,7 +3142,7 @@
     "  ",
     "Anvnd liten font",
     "Utilizare fonturi mici",
-    "Kisbett hasznlni",
+    "Kisbett hasznlni",
     "",// TODO
     "  ",
     "Koristi mala slova",
@@ -3186,7 +3186,7 @@
     "   ",
     "skin beroende",
     "dep. de skin",
-    "Men nzettl fggen",
+    "Men nzettl fggen",
     "",// TODO
     " ",
     "ovisno o povrini",
@@ -3252,7 +3252,7 @@
     "     ()",
     "Kanal information (s)",
     "Durata afirii info-canal (s)",
-    "Adsinformci feltntetsnek idtartama (s)",
+    "Adsinformci feltntetsnek idtartama (s)",
     "",// TODO
     "    ()",
     "Vrijeme prikaza informacije o programu (s)",
@@ -3406,7 +3406,7 @@
     "   EPG  ",
     "EPG skning timeout",
     "Interval achiziie EPG (h)",
-    "Fennmaradt id az EPG-jtsig (h)",
+    "Fennmaradt id az EPG-jtsig (h)",
     "Mxim d'Hores a cercar per la Guia",
     "   ()",
     "Vrijeme do EPG pregleda (h)",
@@ -3472,7 +3472,7 @@
     "  ",
     "Stll in systemtid",
     "Potrivete ceasul sistem",
-    "Az id belltsa",
+    "Az id belltsa",
     "Ajustar l'hora del sistema",
     "  ",
     "Podesi vrijeme sistema",
@@ -3494,7 +3494,7 @@
     "  ",
     "Anvnd klockan frn transponder",
     "Preia ora din transponder",
-    "Idhz tartoz Transponder",
+    "Idhz tartoz Transponder",
     "Usar el temps del mltiplex",
     "  ",
     "Transponder za podeavanje sata",
@@ -3560,7 +3560,7 @@
     " DVB ",
     "Primr DVB enhet",
     "Dispozitiv DVB primar",
-    "Els DVB interface",
+    "Els DVB interface",
     "Tarja DVB primria",
     " DVB-",
     "Primarni DVB ureaj",
@@ -3934,7 +3934,7 @@
     " LNB- (MHz)",
     "vre LNB frekvens (MHz)",
     "Frecvn LNB superioar (MHz)",
-    "Fels LNB-frekvencia (MHZ)",
+    "Fels LNB-frekvencia (MHZ)",
     "Freqncia LNB alta (MHz)",
     "   ()",
     "Gornja LNB frekv. (MHz)",
@@ -4000,7 +4000,7 @@
     "    ()",
     "Marginal fr start (min)",
     "Marj la pornire (min)",
-    "Ideltolds a kezdsnl (perc)",
+    "Ideltolds a kezdsnl (perc)",
     "Marge d'inici de gravaci (min)",
     "   ()",
     "Rezerva na poetku snimanja (min)",
@@ -4022,7 +4022,7 @@
     "    ()",
     "Marginal fr stopp (min)",
     "Marj la oprire (min)",
-    "Ideltolds a befejezsnl (perc)",
+    "Ideltolds a befejezsnl (perc)",
     "Marge de fi de gravaci (min)",
     "   ()",
     "Rezerva na kraju (min)",
@@ -4198,7 +4198,7 @@
     " VPS ()",
     "VPS marginal (s)",
     "Marj de timp la utilizare VPS (s)",
-    "Ideltolds VPS-nl (s)",
+    "Ideltolds VPS-nl (s)",
     "",// TODO
     "  VPS ()",
     "Vremenska rezerva kod VPS (s)",
@@ -4264,7 +4264,7 @@
     "   ()",
     "Direktinspelning lngd (min)",
     "Timpul de nregistare imediat (min)",
-    "Felvtel idtartama (perc)",
+    "Felvtel idtartama (perc)",
     "Temps de gravaci instantnia (min)",
     "   ()",
     "Trajanje direktnog snimanja (min)",
@@ -4396,7 +4396,7 @@
     "   ()",
     "Minsta hndelse-pause (min)",
     "Durat minim emisiuni (min)",
-    "Idzitsek kztti idtartam (perc)",
+    "Idzitsek kztti idtartam (perc)",
     "Temps mnim en pausa (min)",
     ".    ()",
     "Minimalno vrijeme pauze",
@@ -4506,7 +4506,7 @@
     "",// TODO
     "Ljudstyrka vid uppstart",
     "Volumul la pornire",
-    "Hanger a bekapcsolsnl",
+    "Hanger a bekapcsolsnl",
     "",// TODO
     "  ",
     "",// TODO
@@ -4528,7 +4528,7 @@
     "",// TODO
     "som frut",
     "ca mai nainte",
-    "ahogy az elbb",
+    "ahogy az elbb",
     "",// TODO
     " ",
     "",// TODO
@@ -4596,7 +4596,7 @@
     " 0123456789-.#~,/_@abcdefghijklmnopqrstuvwxyz",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
-    " abcdefghijklmnopqrstuvwxyz0123456789-.,#~,/_@",
+    " abcdefghijklmnopqrstuvwxyz0123456789-.,#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.,#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@", // hrv
@@ -4619,7 +4619,7 @@
     "",//TODO
     " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz",
     " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
-    " 0\t-.#~,/_@1\tabc2\tde3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
+    " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
     "",//TODO
     "",//TODO
     "",//TODO
@@ -4664,7 +4664,7 @@
     " 1:   RC",
     "Steg1: identifiering av kod",
     "Faza 1: Detecia tipului telecomenzii",
-    "Els lps: tvirnyt kdjnak meghatrozsa",
+    "Els lps: tvirnyt kdjnak meghatrozsa",
     "Fase 1: Detectant el tipus de receptor",
     " 1:    ",
     "Faza 1: detektiranje kda daljinskog upravljaa.",
@@ -5303,7 +5303,7 @@
     " ",
     "Snabbspolning framt",
     "Derulare nainte",
-    "Elre prgetni",
+    "Elre prgetni",
     "Endavant rpidament",
     " ",
     "Naprijed",
@@ -5347,7 +5347,7 @@
     "",// TODO
     "Nsta",
     "Urmtor",
-    "Elre",
+    "Elre",
     "",// TODO
     "",
     "",// TODO
@@ -5457,7 +5457,7 @@
     "",// TODO
     "Frra kanalen",
     "Canal anterior",
-    "Az elz ads",
+    "Az elz ads",
     "",// TODO
     " ",
     "",// TODO
@@ -5479,7 +5479,7 @@
     "+",
     "Volym+",
     "Volum+",
-    "Hanger+",
+    "Hanger+",
     "Volum +",
     " +",
     "Glasnije", // hrv "Glasnocca +"
@@ -5501,7 +5501,7 @@
     "-",
     "Volym-",
     "Volum-",
-    "Hanger-",
+    "Hanger-",
     "Volum -",
     " -",
     "Tie", // hrv Glasnocca -"
@@ -5788,7 +5788,7 @@
     " ",
     "Volym ",
     "Volum ",
-    "Hanger",
+    "Hanger",
     "Volum ",
     " ",
     "Glasnoa ",
@@ -6008,7 +6008,7 @@
     "  ",
     "Pausar direktinspelningen",
     "Trec n pauz emisiunea transmis...",
-    "Az l ads meglltva...",
+    "Az l ads meglltva...",
     "Pausa d'emissi en directe...",
     "  ...",
     "Zaustavljanje ivog signala...",
